/*!
Theme Name: Kadence Theme Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Digiteam Oy
Author URI: https://digiteam.fi
Description: Kadence Child created by Digiteam.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
/* TEKSTITYYLIT */

.tyyli-h2 {
    font-size: 50px;
    line-height: 55px;
}

.tyyli-h3 {
    font-size: 38px;
    line-height: 43px;
}

.tyyli-h4 {
    font-size: 34px;
    line-height: 39px;
}

.tyyli-h5 {
    font-size: 24px;
    line-height: 29px;
}

.tyyli-h6 {
    font-size: 20px;
    line-height: 24px;
}

.tyyli-h7 {
    font-size: 16px;
    line-height: 22px;
    text-transform: uppercase;
}

.lead-p {
    font-size: 20px;
    line-height: 26px;
}

.small-p {
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
}

@media only screen and (max-width: 768px) {
    .tyyli-h2 {
        font-size: 40px;
        line-height: 45px;
    }
    
    .tyyli-h3 {
        font-size: 30px;
        line-height: 35px;
    }
    
    .tyyli-h4 {
        font-size: 25px;
        line-height: 30px;
    }
    
    .tyyli-h5 {
        font-size: 20px;
        line-height: 25px;
    }
    
    .tyyli-h6 {
        font-size: 18px;
        line-height: 22px;
    } 

}

.h-alleviivaus:hover {
	text-decoration: underline !important;
}

@media all and (max-width: 767px) {
	.m-piilota {
		display: none !important;
	}
}

.palvelu-hero .kt-inside-inner-col {
	width: 680px;
    align-self: end;
}

@media all and (max-width: 1360px) {
	.palvelu-hero .kt-inside-inner-col {
		width: 100%;
	}
}

.wp-block-post-excerpt__more-link {
	text-decoration: none;
}

/* HEADER */

.site-header-upper-inner-wrap .site-header-row-container {
	max-width: 1300px;
	margin: 0 auto;
}

.site-header-upper-inner-wrap img.svg-logo-image {
	margin-bottom: -40px;
}

.header-navigation[class*="header-navigation-style-underline"] .header-menu-container>ul>li>a:after {
	background-color: #6DCFF6 !important;
	height: 6px !important;
}

.header-navigation .dropdown-nav-toggle {
	display: none !important;
}

#primary-menu .nav-drop-title-wrap {
	padding-right: 0px;
}

#main-header .header-button:after, .mobile-header-button-inner-wrap :after {
	content: url(/wp-content/uploads/nuoli-oikea.svg);
	padding-left: 10px;
}

#primary-menu .sub-menu li a {
	font-weight: 400;
}

#primary-menu .sub-menu li a:hover {
	font-weight: 600;
}

@media all and (max-width: 1024px) {
	.site-header-upper-inner-wrap img.svg-logo-image {
		margin-bottom: 0;
	}
}

/* Mobiilimenu */

.popup-drawer .drawer-header {
    padding: 0 !important;
}

#mobile-menu {
    border-top: 1px solid #D9D9D9;
}

#mobile-drawer .drawer-content {
    padding: 0;
}

#mobile-drawer .mobile-header-button-wrap {
    padding: 0px 18px;
    margin-top: 20px;
}

#mobile-drawer .mobile-menu-container li .drawer-sub-toggle .kadence-svg-iconset svg {
    height: 1.5em;
    width: 1.5em;
    transform: rotateZ(-90deg);
}

.drawer-nav-drop-wrap .drawer-sub-toggle[aria-expanded="true"] svg {
    transform: rotateZ(0deg) !important;
}

#mobile-drawer .drawer-nav-drop-wrap button {
    border: 0;
}

#mobile-menu li a {
    padding-left: 20px;
    font-weight: 500;
}

.mobile-navigation ul ul {
    padding-left: 0 !important;
}

.mobile-navigation ul ul li a {
    padding-left: 40px !important;
    background-color: #C5ECFB;
}

#mobile-secondary-site-navigation {
	padding: 0 10px
}

:where(.kb-row-layout-wrap:has(.wp-block-kadence-navigation)) {
	z-index: 5 !important;
}

/* Työpaikka nosto tyylit */

/*.toimiala_filter {
	margin-top:24px;
	margin-bottom:24px;
	display:flex;
}
.toimiala_filter .toimialaotsikko {
	margin-right:28px;
}
.toimiala_filter .input_container{
	margin-right:28px;
	display:flex;
}

.toimiala_filter input{
	outline:none !Important;
	margin-right:8px !important;
}
 */
.advert_list_wrap {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    grid-auto-rows: minmax(100px, auto);
}

.advert_list_wrap article {
	background-color: #fff;
	border-radius: 5px;
	transition: all .4s ease !important;
	display: flex;
	flex-direction: column;

	h3 {
		color: var(--global-palette1)
	}
}

@media all and (max-width:1024px) {
	.advert_list_wrap {
	    grid-template-columns: repeat(2, 1fr);
	}
}
@media all and (max-width:500px) {
	.advert_list_wrap {
		grid-template-columns: repeat(1, 1fr);
	}
}

.advert_list_wrap .job_text ul {
	list-style: none;
	margin: 10px 0px;
}

.advert_list_wrap .job_text ul li {
	padding-bottom: 7px;
	color: var(--global-palette-highlight);
	position: relative;
}

.job_text li:empty {
	display: none;
}

.advert_list_wrap .job_text ul li:before {
	width: 21px !important;
	height: 18px !important;
	display: inline-block;
	margin-right: 5px;
	margin-left: -30px;
	margin-bottom: -3px;
	position: absolute;
	top:0;
}

.advert_list_wrap .job_text ul li.job_type:before {
	content: url('/wp-content/uploads/tyopaikan-tyyppi.svg');
}

.advert_list_wrap .job_text ul li.job_location:before {
	content: url('/wp-content/uploads/tyopaikan-sijainti.svg');
}

.advert_list_wrap article .job_excerpt p {
	font-size: 14px;
	line-height: 18px;
	color: #000;
}

@media all and (max-width:767px) {
	.advert_list_wrap article .job_excerpt {
		display: none;
	}
	.advert_list_wrap .job_text ul {
		margin-bottom: 0px;
	}
}

.page-id-62 .advert_list_wrap article {
	background-color: var(--global-palette7, #EDF2F7);
}

.advert_list_wrap article:hover {
	box-shadow: 10px 10px 10px 0px #00000040;
}

.advert_list_wrap article img {
	width: 100%;
	border-radius: 5px 5px 0px 0px;
}
.advert_list_wrap article .job_text {
	display:flex;
	flex-flow: column;
	padding: 20px;
}

.advert_list_wrap article a {
	text-decoration: none;
	height: 100%;
	display: contents;
}

.advert_list_wrap .block_bottom {
	padding: 10px 20px;
	background-color: var(--global-palette2);
	color: #000;
	transition: all .4s ease !important;
	border-radius: 0px 0px 5px 5px;
	margin-top: auto;
}
.advert_list_wrap .block_bottom:hover {
	background-color: #54B5DC;
	color: #000;
}
.jobpage_haepaikkaa {
	text-decoration: none !important;
	font-style: normal;
    line-height: 17px;
    border-radius: 41px;
    padding: 17px 22px 15px 22px;
    box-shadow: 0px 0px 0px 0px rgba(0,0,0,0);
	background: var(--global-palette-btn-bg);
    color: var(--global-palette-btn);
	display:inline-block;
	margin-top:24px;
}
.jobpage_haepaikkaa:hover {
	color: var(--global-palette-btn-hover);
    background: var(--global-palette-btn-bg-hover);
}

.job_advert_page {
	max-width: 1365px;
	margin: auto
}

.job_advert_page {
	max-width: 1700px;
	margin: auto;
}

.job_advert_page .hero {
	background-color: var(--global-palette6);
	padding: 32px 32px 0px;
	background-image: url(/wp-content/uploads/taustaelementti4.svg);
	background-size: auto 90%;
    background-position: 100% 100%;
    background-attachment: scroll;
    background-repeat: no-repeat;
}

.job_advert_page .hero img {
	width: 100%;
	max-width: 825px;
	margin-left: auto;
	margin-right: auto;
	border-radius: 5px;
	position: relative;
    bottom: -32px;
}

.job_advert_page .sisalto {
	max-width: 825px;
	margin: 32px auto;
	padding: 32px;
}

.job_advert_page .sisalto div {
	padding-bottom: 10px;
}

@media all and (max-width:767px) {
	.job_advert_page .hero {
		padding: 0px 24px;
	}

	.job_advert_page .sisalto {
		padding: 24px;
	}
	.job_advert_page h1 {
		font-size: 30px;
	}
}

/* SIVUT */
.palvelut-nav .kb-nav-link-content {
	font-weight: 600;
}

.palvelut-nav ul li:first-child a {
	font-size: 24px !important;
}

.palvelut-nav .kb-nav-item-title-wrap {
	width: 100%;
	justify-content: space-between;
}

.palvelut-nav li:not(:first-child):hover a {
	padding-left: 40px;
	padding-right: 22px;
	text-decoration: underline
}

.sanottua .wp-block-kadence-testimonials {
	max-width: 100%
}

.sanottua .wp-block-kadence-testimonial {
	height: 100%;
	align-content: center;
}

.sanottua .kb-splide {
	padding-bottom: 0px !important;
}

.sanottua .kt-testimonial-meta-wrap {
	flex-direction: column;
	row-gap: 10px;
}

.sanottua .kt-testimonial-meta-name-wrap {
	text-align: center !important;
}

.sanottua .kb-splide .splide__pagination__page {
	background-color: var(--global-palette4) !important;
	opacity: 0.3;
	margin: 7px;
}

.sanottua.sininen .kb-splide .splide__pagination__page {
	background-color: var(--global-palette-btn-bg) !important;
}

.sanottua .kb-splide .splide__pagination__page.is-active{
	opacity: 1;
}

/* Artikkeli hoverit */

.artikkeli-kortti li a:hover {
	text-decoration: underline;

	h2 {
		text-decoration: underline;
	}
}

/* FOOTER */
footer #block-10 {
	margin-bottom: 10px;
}

footer .site-container {
	max-width: 1365px;
	padding: 0px 32px;
}

@media all and (max-width: 767px) {
	footer .site-container {
		padding: 0px 24px;
	}
}

footer .wp-block-social-link:hover {
    transform: scale(1);
}

footer .wp-block-social-link:hover svg {
    fill: #6DCFF6 !important;
}

/* Yhteydenottolomakkeet yrityksille-sivuille 22.1.2025 */
.yrityksille-yhteydenottolomake {
	width: 66%;
}

.yrityksille-yhteydenottolomake form ::placeholder {
	color: #717171
}

.yrityksille-yhteydenottolomake button {
	padding: 10px 22px 7px 22px !important;
}

.yrityksille-yhteydenottolomake button:after {
	content: url(/wp-content/uploads/nuoli-musta.svg);
	margin-left: 7px;
}

.yrityksille-yhteydenottolomake.liila button:after {
	content: url(/wp-content/uploads/nuoli-oikea.svg);
}

@media all and (max-width: 1024px) {
	.yrityksille-yhteydenottolomake {
		width: 100%;
	}
}

.refe-logot ul {
	align-items: center;
}